my %mmonitorfile;

$AMI_Event_Handler{'attendedcontinuemonitor'}{'ATTENDEDTRANSFER'} = sub {

    my @allreturn = ();
    my $event = shift;

    my $chan = ${$event}{OrigTransfererChannel};
    my $chan2 = ${$event}{TransfereeChannel};

    if(defined($mmonitorfile{$chan})) {
        $return = "Action: MixMonitor\r\n";
        $return .= "Channel: $chan2\r\n";
        $return .= "File: $mmonitorfile{$chan}\r\n";
        $return .= "Options: a\r\n";
        push @allreturn, $return;
    }

    return @allreturn;
};

$AMI_Event_Handler{'attendedcontinuemonitor'}{'HANGUP'} = sub {
    my @allreturn = ();
    my $event = shift;
    my $chan = ${$event}{Channel};
    if(defined($mmonitorfile{$chan})) {
        delete $mmonitorfile{$chan};
    }
};

$AMI_Event_Handler{'attendedcontinuemonitor'}{'NEWEXTEN'} = sub {
    my @allreturn = ();
    my $event = shift;
    my $chan = ${$event}{Channel};
    my $app  = ${$event}{Application};
    my $data = ${$event}{AppData};
    if ($app eq "MixMonitor") {
        my @partes = split(',',$data);
        $mmonitorfile{$chan}=$partes[0];
    } 
    return @allreturn;
};


